simpleLexerRegistry = {
    "ts": [
        0,
        3,
        [
            3,
            4,
            5,
            6,
            7,
            8,
            9,
            0,
            10,
            11
        ]
    ],
    "js": "ts",
    "xsl": [
        1,
        13,
        [
            12,
            13,
            14,
            15,
            16,
            17,
            18,
            19,
            20,
            21
        ]
    ],
    "xml": "xsl",
    "htm": "xsl",
    "css": [
        2,
        25,
        [
            23,
            24,
            25,
            26,
            27,
            28,
            29,
            30,
            31,
            32,
            33
        ]
    ],
    "mxml": "xsl",
    "html": "xsl",
    "json": [
        0,
        37,
        [
            34,
            7,
            8,
            9,
            0,
            10,
            35
        ]
    ],
    "xhtml": "xsl",
    "regex": [
        1,
        40,
        [
            36
        ]
    ],
    "in.tag": [
        3,
        44,
        [
            39,
            40,
            41,
            42,
            43,
            44,
            45,
            46,
            47,
            48
        ]
    ],
    "uq.val": [
        1,
        40,
        [
            49
        ]
    ],
    "typescript": "ts",
    "javascript": "ts",
    "default-code": [
        4,
        57,
        [
            52,
            3,
            4,
            5,
            53,
            7,
            8,
            9,
            0,
            10,
            11
        ]
    ],
    "default-markup": "xsl"
};
var storeStylePatternObject = [
    {
        "'": 1,
        "\"": 1,
        "\u00a0": 2,
        "\t": 2,
        "\n": 2,
        "\r": 2,
        " ": 2,
        "-num": 0
    },
    {},
    {
        "\f": 22,
        "\n": 22,
        "\r": 22,
        "\t": 22,
        " ": 22
    },
    {
        "\n": 37,
        "\r": 37,
        "\t": 37,
        " ": 37,
        "'": 38,
        "\"": 38
    },
    {
        "`": 50,
        "\"": 50,
        "'": 50,
        "#": 51,
        "\u00a0": 2,
        "\t": 2,
        "\n": 2,
        "\r": 2,
        " ": 2,
        "-num": 0
    }
];
var storeStylePattern = [
    [
        4,
        0
    ],
    [
        1,
        1
    ],
    [
        0,
        2
    ],
    [
        2,
        4
    ],
    [
        2,
        5
    ],
    [
        "regex",
        6
    ],
    [
        5,
        7
    ],
    [
        4,
        8
    ],
    [
        7,
        9
    ],
    [
        0,
        10
    ],
    [
        0,
        11
    ],
    [
        3,
        12
    ],
    [
        0,
        14
    ],
    [
        8,
        15
    ],
    [
        2,
        16
    ],
    [
        "",
        17
    ],
    [
        "",
        18
    ],
    [
        3,
        19
    ],
    [
        "",
        20
    ],
    [
        "js",
        21
    ],
    [
        "css",
        22
    ],
    [
        "in.tag",
        23
    ],
    [
        0,
        24
    ],
    [
        1,
        26
    ],
    [
        1,
        27
    ],
    [
        "css-str",
        28
    ],
    [
        5,
        29
    ],
    [
        "css-kw",
        30
    ],
    [
        2,
        31
    ],
    [
        2,
        32
    ],
    [
        4,
        33
    ],
    [
        4,
        34
    ],
    [
        0,
        35
    ],
    [
        3,
        36
    ],
    [
        5,
        38
    ],
    [
        3,
        39
    ],
    [
        1,
        41
    ],
    [
        0,
        42
    ],
    [
        6,
        43
    ],
    [
        9,
        45
    ],
    [
        10,
        46
    ],
    [
        "uq.val",
        47
    ],
    [
        3,
        48
    ],
    [
        "js",
        49
    ],
    [
        "js",
        50
    ],
    [
        "js",
        51
    ],
    [
        "css",
        52
    ],
    [
        "css",
        53
    ],
    [
        "css",
        54
    ],
    [
        6,
        41
    ],
    [
        1,
        55
    ],
    [
        2,
        56
    ],
    [
        1,
        58
    ],
    [
        5,
        59
    ]
];
var storeRegExp = [
    [
        "^(?:0x[a-f0-9]+|(?:\\d(?:_\\d+)*\\d*(?:\\.\\d*)?|\\.\\d\\+)(?:e[+\\-]?\\d+)?)[a-z]*",
        "i"
    ],
    "^(?:\\'(?:[^\\\\\\'\\r\\n]|\\\\.)*(?:\\'|$)|\\\"(?:[^\\\\\\\"\\r\\n]|\\\\.)*(?:\\\"|$))",
    "^\\s+",
    [
        "(?:(?:\\'(?:[^\\\\\\'\\r\\n]|\\\\.)*(?:\\'|$)|\\\"(?:[^\\\\\\\"\\r\\n]|\\\\.)*(?:\\\"|$)))|(?:\\s+)|(?:\\/\\/[^\\r\\n]*)|(?:\\/\\*[\\s\\S]*?(?:\\*\\/|$))|(?:(?:^\\.?|[+-]|[!=]=?=?|\\#|%=?|&&?=?|\\(|\\*=?|[+\\-]=|->|\\/=?|::?|<<?=?|>>?>?=?|,|;|\\?|@|\\[|~|{|\\^\\^?=?|\\|\\|?=?|break|case|continue|delete|do|else|finally|instanceof|return|throw|try|typeof)\\s*(?:\\/(?=[^/*\\n\\r])(?:[^/\\x5B\\x5C\\n\\r]|\\x5C[\\S\\s]|\\x5B(?:[^\\x5C\\x5D\\n\\r]|\\x5C[\\S\\s])*(?:\\x5D|$))+\\/))|(?:(?:break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|abstract|async|await|constructor|debugger|enum|eval|export|from|function|get|import|implements|instanceof|interface|let|null|of|set|undefined|var|with|yield|Infinity|NaN)\\b)|(?:@[$A-Z_a-z][$0-9@-Z_a-z]*)|(?:(?:[@_]?[A-Z]+[a-z][A-Za-z_$@0-9]*|\\w+_t\\b))|(?:[$A-Z_a-z][$0-9@-Z_a-z]*)|(?:(?:0[Xx][0-9A-Fa-f]+|(?:\\d(?:_\\d+)*\\d*(?:\\.\\d*)?|\\.\\d\\+)(?:[Ee][+\\-]?\\d+)?)[A-Za-z]*)|(?:\\\\[\\s\\S]?)|(?:.[^\\s\\w.$@'\"`/\\\\]*(?!s*\\/))|(?:[\u0000-\uffff])",
        "g"
    ],
    "^\\/\\/[^\\r\\n]*",
    "^\\/\\*[\\s\\S]*?(?:\\*\\/|$)",
    "^(?:^^\\.?|[+-]|[!=]=?=?|\\#|%=?|&&?=?|\\(|\\*=?|[+\\-]=|->|\\/=?|::?|<<?=?|>>?>?=?|,|;|\\?|@|\\[|~|{|\\^\\^?=?|\\|\\|?=?|break|case|continue|delete|do|else|finally|instanceof|return|throw|try|typeof)\\s*(\\/(?=[^/*\\n\\r])(?:[^/\\x5B\\x5C\\n\\r]|\\x5C[\\S\\s]|\\x5B(?:[^\\x5C\\x5D\\n\\r]|\\x5C[\\S\\s])*(?:\\x5D|$))+\\/)",
    "^(?:break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|abstract|async|await|constructor|debugger|enum|eval|export|from|function|get|import|implements|instanceof|interface|let|null|of|set|undefined|var|with|yield|Infinity|NaN)\\b",
    [
        "^@[a-z_$][a-z_$@0-9]*",
        "i"
    ],
    "^(?:[@_]?[A-Z]+[a-z][A-Za-z_$@0-9]*|\\w+_t\\b)",
    [
        "^[a-z_$][a-z_$@0-9]*",
        "i"
    ],
    "^\\\\[\\s\\S]?",
    "^.[^\\s\\w.$@'\"`/\\\\]*(?!s*\\/)",
    [
        "(?:[^<?]+)|(?:<!\\w[^>]*(?:>|$))|(?:<\\!--[\\s\\S]*?(?:-\\->|$))|(?:<\\?(?:[\\s\\S]+?)(?:\\?>|$))|(?:<%(?:[\\s\\S]+?)(?:%>|$))|(?:(?:<[%?]|[%?]>))|(?:<xmp\\b[^>]*>(?:[\\s\\S]+?)<\\/xmp\\b[^>]*>)|(?:<script\\b[^>]*>(?:[\\s\\S]*?)(?:<\\/script\\b[^>]*>))|(?:<style\\b[^>]*>(?:[\\s\\S]*?)(?:<\\/style\\b[^>]*>))|(?:(?:<\\/?[a-z][^<>]*>))|(?:[\u0000-\uffff])",
        "gi"
    ],
    "^[^<?]+",
    "^<!\\w[^>]*(?:>|$)",
    "^<\\!--[\\s\\S]*?(?:-\\->|$)",
    "^<\\?([\\s\\S]+?)(?:\\?>|$)",
    "^<%([\\s\\S]+?)(?:%>|$)",
    "^(?:<[%?]|[%?]>)",
    [
        "^<xmp\\b[^>]*>([\\s\\S]+?)<\\/xmp\\b[^>]*>",
        "i"
    ],
    [
        "^<script\\b[^>]*>([\\s\\S]*?)(<\\/script\\b[^>]*>)",
        "i"
    ],
    [
        "^<style\\b[^>]*>([\\s\\S]*?)(<\\/style\\b[^>]*>)",
        "i"
    ],
    [
        "^(<\\/?[a-z][^<>]*>)",
        "i"
    ],
    "^[ \\t\\r\\n\\f]+",
    [
        "(?:[ \\t\\r\\n\\f]+)|(?:\\\"(?:[^\\n\\r\\f\\\\\\\"]|\\\\(?:\\r\\n?|\\n|\\f)|\\\\[\\s\\S])*\\\")|(?:\\'(?:[^\\n\\r\\f\\\\\\']|\\\\(?:\\r\\n?|\\n|\\f)|\\\\[\\s\\S])*\\')|(?:url\\((?:[^\\)\\\"\\']+)\\))|(?:(?:url|rgb|\\!important|@import|@page|@media|@charset|inherit)(?=[^\\-\\w]|$))|(?:(?:-?(?:[_a-z]|(?:\\\\[0-9a-f]+ ?))(?:[_a-z0-9\\-]|\\\\(?:\\\\[0-9a-f]+ ?))*)\\s*:)|(?:\\/\\*[^*]*\\*+(?:[^\\/*][^*]*\\*+)*\\/)|(?:(?:<!--|-->))|(?:(?:\\d+|\\d*\\.\\d+)(?:%|[a-z]+)?)|(?:#(?:[0-9a-f]{3}){1,2}\\b)|(?:-?(?:[_a-z]|(?:\\\\[\\da-f]+ ?))(?:[_a-z\\d\\-]|\\\\(?:\\\\[\\da-f]+ ?))*)|(?:[^\\s\\w\\'\\\"]+)|(?:[\u0000-\uffff])",
        "gi"
    ],
    "^\\\"(?:[^\\n\\r\\f\\\\\\\"]|\\\\(?:\\r\\n?|\\n|\\f)|\\\\[\\s\\S])*\\\"",
    "^\\'(?:[^\\n\\r\\f\\\\\\']|\\\\(?:\\r\\n?|\\n|\\f)|\\\\[\\s\\S])*\\'",
    [
        "^url\\(([^\\)\\\"\\']+)\\)",
        "i"
    ],
    [
        "^(?:url|rgb|\\!important|@import|@page|@media|@charset|inherit)(?=[^\\-\\w]|$)",
        "i"
    ],
    [
        "^(-?(?:[_a-z]|(?:\\\\[0-9a-f]+ ?))(?:[_a-z0-9\\-]|\\\\(?:\\\\[0-9a-f]+ ?))*)\\s*:",
        "i"
    ],
    "^\\/\\*[^*]*\\*+(?:[^\\/*][^*]*\\*+)*\\/",
    "^(?:<!--|-->)",
    [
        "^(?:\\d+|\\d*\\.\\d+)(?:%|[a-z]+)?",
        "i"
    ],
    [
        "^#(?:[0-9a-f]{3}){1,2}\\b",
        "i"
    ],
    [
        "^-?(?:[_a-z]|(?:\\\\[\\da-f]+ ?))(?:[_a-z\\d\\-]|\\\\(?:\\\\[\\da-f]+ ?))*",
        "i"
    ],
    "^[^\\s\\w\\'\\\"]+",
    [
        "(?:(?:\\'(?:[^\\\\\\'\\r\\n]|\\\\.)*(?:\\'|$)|\\\"(?:[^\\\\\\\"\\r\\n]|\\\\.)*(?:\\\"|$)))|(?:\\s+)|(?:(?:null|true|false)\\b)|(?:@[$A-Z_a-z][$0-9@-Z_a-z]*)|(?:(?:[@_]?[A-Z]+[a-z][A-Za-z_$@0-9]*|\\w+_t\\b))|(?:[$A-Z_a-z][$0-9@-Z_a-z]*)|(?:(?:0[Xx][0-9A-Fa-f]+|(?:\\d(?:_\\d+)*\\d*(?:\\.\\d*)?|\\.\\d\\+)(?:[Ee][+\\-]?\\d+)?)[A-Za-z]*)|(?:\\\\[\\s\\S]?)|(?:.[^\\s\\w.$@'\"`/\\\\]*)|(?:[\u0000-\uffff])",
        "g"
    ],
    "^(?:null|true|false)\\b",
    "^.[^\\s\\w.$@'\"`/\\\\]*",
    [
        "(?:[\\s\\S]+)|(?:[\u0000-\uffff])",
        "g"
    ],
    "^[\\s\\S]+",
    "^[\\s]+",
    "^(?:\\\"[^\\\"]*\\\"?|\\'[^\\']*\\'?)",
    [
        "(?:[\\s]+)|(?:(?:\\\"[^\\\"]*\\\"?|\\'[^\\']*\\'?))|(?:^<\\/?[a-z](?:[\\w.:-]*\\w)?|\\/?>$)|(?:(?!style[\\s=]|on)[a-z](?:[\\w:-]*\\w)?)|(?:=\\s*(?:[^>\\'\\\"\\s]*(?:[^>\\'\\\"\\s\\/]|\\/(?=\\s))))|(?:[=<>\\/]+)|(?:on\\w+\\s*=\\s*\\\"(?:[^\\\"]+)\\\")|(?:on\\w+\\s*=\\s*\\'(?:[^\\']+)\\')|(?:on\\w+\\s*=\\s*(?:[^\\\"\\'>\\s]+))|(?:style\\s*=\\s*\\\"(?:[^\\\"]+)\\\")|(?:style\\s*=\\s*\\'(?:[^\\']+)\\')|(?:style\\s*=\\s*(?:[^\\\"\\'>\\s]+))|(?:[\u0000-\uffff])",
        "gi"
    ],
    [
        "^^<\\/?[a-z](?:[\\w.:-]*\\w)?|\\/?>$",
        "i"
    ],
    [
        "^(?!style[\\s=]|on)[a-z](?:[\\w:-]*\\w)?",
        "i"
    ],
    "^=\\s*([^>\\'\\\"\\s]*(?:[^>\\'\\\"\\s\\/]|\\/(?=\\s)))",
    "^[=<>\\/]+",
    [
        "^on\\w+\\s*=\\s*\\\"([^\\\"]+)\\\"",
        "i"
    ],
    [
        "^on\\w+\\s*=\\s*\\'([^\\']+)\\'",
        "i"
    ],
    [
        "^on\\w+\\s*=\\s*([^\\\"\\'>\\s]+)",
        "i"
    ],
    [
        "^style\\s*=\\s*\\\"([^\\\"]+)\\\"",
        "i"
    ],
    [
        "^style\\s*=\\s*\\'([^\\']+)\\'",
        "i"
    ],
    [
        "^style\\s*=\\s*([^\\\"\\'>\\s]+)",
        "i"
    ],
    "^(?:\\'(?:[^\\\\\\']|\\\\[\\s\\S])*(?:\\'|$)|\\\"(?:[^\\\\\\\"]|\\\\[\\s\\S])*(?:\\\"|$)|\\`(?:[^\\\\\\`]|\\\\[\\s\\S])*(?:\\`|$))",
    "^#(?:(?:define|e(?:l|nd)if|else|error|ifn?def|include|line|pragma|undef|warning)\\b|[^\\r\\n]*)",
    [
        "(?:(?:\\'(?:[^\\\\\\']|\\\\[\\s\\S])*(?:\\'|$)|\\\"(?:[^\\\\\\\"]|\\\\[\\s\\S])*(?:\\\"|$)|\\`(?:[^\\\\\\`]|\\\\[\\s\\S])*(?:\\`|$)))|(?:#(?:(?:define|e(?:l|nd)if|else|error|ifn?def|include|line|pragma|undef|warning)\\b|[^\\r\\n]*))|(?:\\s+)|(?:<(?:(?:(?:\\.\\.\\/)*|\\/?)(?:[\\w-]+(?:\\/[\\w-]+)+)?[\\w-]+\\.h(?:h|pp|\\+\\+)?|[a-z]\\w*)>)|(?:\\/\\/[^\\r\\n]*)|(?:\\/\\*[\\s\\S]*?(?:\\*\\/|$))|(?:(?:^\\.?|[+-]|[!=]=?=?|\\#|%=?|&&?=?|\\(|\\*=?|[+\\-]=|->|\\/=?|::?|<<?=?|>>?>?=?|,|;|\\?|@|\\[|~|{|\\^\\^?=?|\\|\\|?=?|break|case|continue|delete|do|else|finally|instanceof|return|throw|try|typeof)\\s*(?:\\/(?=[^/*\\n\\r])(?:[^/\\x5B\\x5C\\n\\r]|\\x5C[\\S\\s]|\\x5B(?:[^\\x5C\\x5D\\n\\r]|\\x5C[\\S\\s])*(?:\\x5D|$))+\\/))|(?:(?:break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|alignas|alignof|align_union|asm|axiom|bool|concept|concept_map|const_cast|constexpr|decltype|delegate|dynamic_cast|explicit|export|friend|generic|late_check|mutable|namespace|noexcept|noreturn|nullptr|property|reinterpret_cast|static_assert|static_cast|template|typeid|typename|using|virtual|where|break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|abstract|add|alias|as|ascending|async|await|base|bool|by|byte|checked|decimal|delegate|descending|dynamic|event|finally|fixed|foreach|from|get|global|group|implicit|in|interface|internal|into|is|join|let|lock|null|object|out|override|orderby|params|partial|readonly|ref|remove|sbyte|sealed|select|set|stackalloc|string|select|uint|ulong|unchecked|unsafe|ushort|value|var|virtual|where|yield|break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|abstract|assert|boolean|byte|extends|finally|final|implements|import|instanceof|interface|null|native|package|strictfp|super|synchronized|throws|transient|break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|abstract|async|await|constructor|debugger|enum|eval|export|from|function|get|import|implements|instanceof|interface|let|null|of|set|undefined|var|with|yield|Infinity|NaN|caller|delete|die|do|dump|elsif|eval|exit|foreach|for|goto|if|import|last|local|my|next|no|our|print|package|redo|require|sub|undef|unless|until|use|wantarray|while|BEGIN|END|break|continue|do|else|for|if|return|while|and|as|assert|class|def|del|elif|except|exec|finally|from|global|import|in|is|lambda|nonlocal|not|or|pass|print|raise|try|with|yield|False|True|None|break|continue|do|else|for|if|return|while|alias|and|begin|case|class|def|defined|elsif|end|ensure|false|in|module|next|nil|not|or|redo|rescue|retry|self|super|then|true|undef|unless|until|when|yield|BEGIN|END|break|continue|do|else|for|if|return|while|case|done|elif|esac|eval|fi|function|in|local|set|then|until)\\b)|(?:@[$A-Z_a-z][$0-9@-Z_a-z]*)|(?:(?:[@_]?[A-Z]+[a-z][A-Za-z_$@0-9]*|\\w+_t\\b))|(?:[$A-Z_a-z][$0-9@-Z_a-z]*)|(?:(?:0[Xx][0-9A-Fa-f]+|(?:\\d(?:_\\d+)*\\d*(?:\\.\\d*)?|\\.\\d\\+)(?:[Ee][+\\-]?\\d+)?)[A-Za-z]*)|(?:\\\\[\\s\\S]?)|(?:.[^\\s\\w.$@'\"`/\\\\]*(?!s*\\/))|(?:[\u0000-\uffff])",
        "g"
    ],
    "^<(?:(?:(?:\\.\\.\\/)*|\\/?)(?:[\\w-]+(?:\\/[\\w-]+)+)?[\\w-]+\\.h(?:h|pp|\\+\\+)?|[a-z]\\w*)>",
    "^(?:break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|alignas|alignof|align_union|asm|axiom|bool|concept|concept_map|const_cast|constexpr|decltype|delegate|dynamic_cast|explicit|export|friend|generic|late_check|mutable|namespace|noexcept|noreturn|nullptr|property|reinterpret_cast|static_assert|static_cast|template|typeid|typename|using|virtual|where|break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|abstract|add|alias|as|ascending|async|await|base|bool|by|byte|checked|decimal|delegate|descending|dynamic|event|finally|fixed|foreach|from|get|global|group|implicit|in|interface|internal|into|is|join|let|lock|null|object|out|override|orderby|params|partial|readonly|ref|remove|sbyte|sealed|select|set|stackalloc|string|select|uint|ulong|unchecked|unsafe|ushort|value|var|virtual|where|yield|break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|abstract|assert|boolean|byte|extends|finally|final|implements|import|instanceof|interface|null|native|package|strictfp|super|synchronized|throws|transient|break|continue|do|else|for|if|return|while|auto|case|char|const|default|double|enum|extern|float|goto|inline|int|long|register|restrict|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|catch|class|delete|false|import|new|operator|private|protected|public|this|throw|true|try|typeof|abstract|async|await|constructor|debugger|enum|eval|export|from|function|get|import|implements|instanceof|interface|let|null|of|set|undefined|var|with|yield|Infinity|NaN|caller|delete|die|do|dump|elsif|eval|exit|foreach|for|goto|if|import|last|local|my|next|no|our|print|package|redo|require|sub|undef|unless|until|use|wantarray|while|BEGIN|END|break|continue|do|else|for|if|return|while|and|as|assert|class|def|del|elif|except|exec|finally|from|global|import|in|is|lambda|nonlocal|not|or|pass|print|raise|try|with|yield|False|True|None|break|continue|do|else|for|if|return|while|alias|and|begin|case|class|def|defined|elsif|end|ensure|false|in|module|next|nil|not|or|redo|rescue|retry|self|super|then|true|undef|unless|until|when|yield|BEGIN|END|break|continue|do|else|for|if|return|while|case|done|elif|esac|eval|fi|function|in|local|set|then|until)\\b"
];
var storeClasses = [
    "pln",
    "str",
    "com",
    "pun",
    "lit",
    "kwd",
    "atv",
    "typ",
    "dec",
    "tag",
    "atn",
    "src"
];
var STYLE_PLAIN = 0;
var STYLE_SOURCE = 11;